diff --git a/cdmlib-print/src/main/java/eu/etaxonomy/cdm/print/RemoteXMLEntityFactory.java b/cdmlib-print/src/main/java/eu/etaxonomy/cdm/print/RemoteXMLEntityFactory.java
index 3ee1201e3e..f3e6299089 100644
--- a/cdmlib-print/src/main/java/eu/etaxonomy/cdm/print/RemoteXMLEntityFactory.java
+++ b/cdmlib-print/src/main/java/eu/etaxonomy/cdm/print/RemoteXMLEntityFactory.java
@@ -29,6 +29,7 @@ import org.apache.log4j.Logger;
 import org.jdom.Document;
 import org.jdom.Element;
 import org.jdom.JDOMException;
+import org.jdom.xpath.XPath;
 import org.springframework.web.servlet.ModelAndView;
 
 import eu.etaxonomy.cdm.common.UriUtils;
@@ -65,12 +66,15 @@ public class RemoteXMLEntityFactory extends XmlEntityFactoryBase{
 	private static final String TAXONNODE_TAXON = TAXONNODE + "/taxon";
 	
 	private static final String FEATURETREES = "featuretrees";
-	private static final String FEATURETREE = "featuretree/" + UUID;
-	private static final String FEATURENODE = "featurenode/" + UUID;
+	private static final String FEATURETREE = "featureTree/" + UUID;
+	private static final String FEATURENODE = "featureNode/" + UUID;
 	private static final String FEATURENODE_FEATURE = FEATURENODE + "/feature";
 	
 	private static final String NAME_TYPE_DESIGNATIONS = "name/" + UUID + "/typeDesignations";
 	
+	//TAXON_ACCEPTED should populate references but authorTeam is not always populated so call the reference contoller directly
+	private static final String REFERENCES = "portal/reference/" + UUID; 
+	
 	private static final String TAXON_ACCEPTED = "portal/taxon/" + UUID;
 	private static final String TAXON_SYNONYMY = "portal/taxon/" + UUID + "/synonymy";
 	private static final String TAXON_DESCRIPTIONS = "portal/taxon/" + UUID + "/descriptions";
@@ -163,6 +167,59 @@ public class RemoteXMLEntityFactory extends XmlEntityFactoryBase{
 		return queryService(taxonNodeElement, TAXONNODE_TAXON);
 	}
 	
+	/*
+	 * 
+	 */
+	/*public List<Element> getReferences(Element taxonElement) throws JDOMException {
+		
+		//get the references from the taxonElement
+		String referencePattern = "//name/nomenclaturalReference";
+		
+		//but there could be many references
+		Element referenceElement = (Element) XPath.selectSingleNode(taxonElement, referencePattern);
+		//List<Element> descriptionElementElements = XPath.selectNodes(context, featurePattern + "/..");
+		
+		List<Element> elementList = null;
+		
+		if(referenceElement != null){  //the referencePattern was found in the taxonElement
+									
+		Element result = queryService(referenceElement, REFERENCES);
+		
+		elementList = new ArrayList<Element>();
+		
+		for(Object child : result.getChildren()){
+			if(child instanceof Element){
+				Element childElement = (Element) ((Element)child).clone();
+				
+				childElement.detach();
+				
+				elementList.add(childElement);
+			}
+		}
+		}
+		
+		return elementList;
+	}*/
+	
+	public List<Element> getReferences(Element referenceElement){
+									
+		Element result = queryService(referenceElement, REFERENCES);
+		
+		List<Element> elementList = new ArrayList<Element>();
+		
+		for(Object child : result.getChildren()){
+			if(child instanceof Element){
+				Element childElement = (Element) ((Element)child).clone();
+				
+				childElement.detach();
+				
+				elementList.add(childElement);
+			}
+		}
+		
+		return elementList;
+	}
+	
 
 	/*
 	 * (non-Javadoc)
@@ -256,10 +313,10 @@ public class RemoteXMLEntityFactory extends XmlEntityFactoryBase{
 			
 			HttpResponse response = UriUtils.getResponse(newUri, requestHeaders);
 			
-			if(UriUtils.isOk(response)){
+			logger.info("Firing request for URI: " + newUri);
 			
-				logger.info("Firing request for URI: " + newUri);
-				
+			if(UriUtils.isOk(response)){
+						
 				// get the content at the resource
 				InputStream content = UriUtils.getContent(response);
 				
diff --git a/cdmlib-print/src/main/java/eu/etaxonomy/cdm/print/out/mediawiki/MediawikiOutputModule.java b/cdmlib-print/src/main/java/eu/etaxonomy/cdm/print/out/mediawiki/MediawikiOutputModule.java
new file mode 100644
index 0000000000..0d95006217
--- /dev/null
+++ b/cdmlib-print/src/main/java/eu/etaxonomy/cdm/print/out/mediawiki/MediawikiOutputModule.java
@@ -0,0 +1,132 @@
+// $Id$
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.print.out.mediawiki;
+
+import java.io.File;
+import java.io.FileOutputStream;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+import java.net.URI;
+import java.net.URL;
+
+import javax.security.auth.login.LoginException;
+import javax.xml.transform.Result;
+import javax.xml.transform.Transformer;
+import javax.xml.transform.TransformerException;
+import javax.xml.transform.TransformerFactory;
+import javax.xml.transform.sax.SAXResult;
+import javax.xml.transform.stream.StreamSource;
+
+import org.apache.log4j.Logger;
+import org.jdom.Document;
+import org.jdom.transform.JDOMSource;
+
+import eu.etaxonomy.cdm.common.monitor.IProgressMonitor;
+import eu.etaxonomy.cdm.print.PublishConfigurator;
+import eu.etaxonomy.cdm.print.out.PublishOutputModuleBase;
+
+
+/**
+ * @author l.morris
+ * @date Sep 11, 2013
+ *
+ */
+public class MediawikiOutputModule extends PublishOutputModuleBase {
+	
+	private static final Logger logger = Logger
+			.getLogger(MediawikiOutputModule.class);
+	
+	public static String STYLESHEET_RESOURCE_DEFAULT = "src/main/resources/stylesheets/mediawiki/multipages.xsl";
+	
+	public void output(Document document, File exportFolder, IProgressMonitor progressMonitor) {
+		
+		super.output(document, exportFolder, progressMonitor);
+		
+		try{		
+			
+//			URL xslURL = new URL("file:///C:/Users/l.morris/workspace/cdmlib/cdmlib-print/src/main/resources/stylesheets/mediawiki/multipages.xsl");
+			URL xslURL= (new java.io.File(STYLESHEET_RESOURCE_DEFAULT)).toURI().toURL();
+
+	         String xslID = xslURL.toString();
+		
+			// Setup output
+			String filePath = getFilePath(exportFolder);
+			OutputStream out = new FileOutputStream(filePath);
+			out = new java.io.BufferedOutputStream(out);
+		
+			try{
+
+	            // Setup XSLT
+	            //InputStream xslt = getXsltInputStream();
+	            TransformerFactory factory = TransformerFactory.newInstance();
+	            Transformer transformer = factory.newTransformer(new StreamSource(xslID));//(xslt));
+
+
+	            // Setup input for XSLT transformation
+	            JDOMSource source = new JDOMSource(document);
+
+	            // Resulting SAX events (the generated FO) must be piped through to FOP
+	            //Result result = new SAXResult(fop.getDefaultHandler());
+	            Result result = new SAXResult();
+	          
+
+	            // Start XSLT transformation and FOP processing
+	            transformer.transform(source, result);
+	            
+	            //get the wikitext of the generated file
+	            //use fr_jussieu_snv_lis.wiki.bot.WikiBot to upload the file and images
+	            
+	            
+	            
+            } finally {
+                out.close();
+                logger.info("PDF file created: " + filePath);
+            }
+			
+		}catch (TransformerException te) {
+			
+			logger.error(te.getLocalizedMessage());
+			logger.error(te.getCause());
+			logger.error("TransformerException. Could not generate document", te);
+			
+		} catch (Exception e) {
+			logger.error("Could not generate document", e);
+		}
+		
+		
+	}
+
+	/* (non-Javadoc)
+	 * @see eu.etaxonomy.cdm.print.out.IPublishOutputModule#getOutputFileSuffix()
+	 */
+	@Override
+	public String getOutputFileSuffix() {
+		return "xml";
+	}
+	
+	public InputStream getDefaultXsltInputStream(){
+		return MediawikiOutputModule.class.getResourceAsStream(STYLESHEET_RESOURCE_DEFAULT);
+	}
+	
+	
+	public static void main(String[] args) {
+
+		MediawikiOutputModule outputModule = new MediawikiOutputModule();
+		PublishConfigurator configurator = PublishConfigurator.NewRemoteInstance();
+		configurator.setExportFolder(new File("src/main/resources/tmp")); 
+		Document document = new Document();
+		
+		outputModule.output(document, configurator.getExportFolder(), configurator.getProgressMonitor());
+
+	}
+
+
+}
